"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    isScalarType: function() {
        return isScalarType;
    },
    isEnumType: function() {
        return isEnumType;
    },
    isDefined: function() {
        return isDefined;
    },
    assertNever: function() {
        return assertNever;
    },
    toCamelCase: function() {
        return toCamelCase;
    }
});
function isScalarType(field) {
    return field["kind"] === "scalar";
}
function isEnumType(field) {
    return field["kind"] === "enum";
}
function isDefined(value) {
    return value !== undefined && value !== null;
}
function assertNever(value) {
    throw new Error(`Unhandled discriminated union member: ${JSON.stringify(value)}`);
}
function toCamelCase(name) {
    return name.substring(0, 1).toLowerCase() + name.substring(1);
}
